Package htsjdk.beta.plugin.hapref

# Interface HaploidReferenceDecoder

All Superinterfaces:
  `AutoCloseable`, `Closeable`, `HtsDecoder<SAMSequenceDictionary,ReferenceSequence>`, `HtsQuery<ReferenceSequence>`, `Iterable<ReferenceSequence>`

All Known Implementing Classes:
  `FASTADecoderV1_0`

public interface HaploidReferenceDecoder extends HtsDecoder<SAMSequenceDictionary,ReferenceSequence>
Base class for all `HtsContentType.HAPLOID_REFERENCE` decoders.

## Method Summary

### Methods inherited from interface htsjdk.beta.plugin.HtsDecoder

`close, getDisplayName, getFileFormat, getHeader, getVersion`

### Methods inherited from interface htsjdk.beta.plugin.interval.HtsQuery

`hasIndex, isQueryable, iterator, query, query, query, query, queryContained, queryContained, queryContained, queryOverlapping, queryOverlapping, queryOverlapping, queryStart`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`